use crate::MainWindow;
use super::MainWindowRef;

pub struct FileTab {
    main_window: MainWindowRef
}

impl FileTab {
    pub fn new(main_window: MainWindowRef) -> FileTab {
        FileTab{main_window}
    }

    pub fn on_browse_file(&self, mut function: impl FnMut(&MainWindow) + 'static) {
        let main_window_cloned = self.main_window.clone();
        self.main_window.borrow().on_file_tab_browse_convert_image(move || {
            function(&main_window_cloned.borrow());
        });
    }
}